# Uses of Class
org.apache.zookeeper.graph.LogEntry

Packages that use LogEntry
Package
Description
org.apache.zookeeper.graph
org.apache.zookeeper.graph.filterops

## Uses of LogEntry in org.apache.zookeeper.graph

Subclasses of LogEntry in org.apache.zookeeper.graph
Modifier and Type
Class
Description
`class`
`Log4JEntry`
`class`
`TransactionEntry`
Subinterfaces with type arguments of type LogEntry in org.apache.zookeeper.graph
Modifier and Type
Interface
Description
`interface`
`LogIterator`
`interface`
`LogSource`
Methods in org.apache.zookeeper.graph with parameters of type LogEntry
Modifier and Type
Method
Description
`abstract boolean`
FilterOp.`matches(LogEntry entry)`

## Uses of LogEntry in org.apache.zookeeper.graph.filterops

Methods in org.apache.zookeeper.graph.filterops with parameters of type LogEntry
Modifier and Type
Method
Description
`boolean`
AndOp.`matches(LogEntry entry)`
`boolean`
EqualsOp.`matches(LogEntry entry)`
`boolean`
GreaterThanOp.`matches(LogEntry entry)`
`boolean`
LessThanOp.`matches(LogEntry entry)`
`boolean`
NotOp.`matches(LogEntry entry)`
`boolean`
OrOp.`matches(LogEntry entry)`
`boolean`
XorOp.`matches(LogEntry entry)`